import Vue from 'vue'
import Router from 'vue-router'

import routerBefore from '@/config/routerBefore.js'

// 主要
import main from '@/components/main.vue'
// 系统配置管理
//零星物资运输预约
import sporadicTransportAppoint from '../components/sporadicMaterial/transportAppoint/transportAppoint.vue'
import addSporadicTransportAppoint from '../components/sporadicMaterial/transportAppoint/addSporadicTransportAppoint.vue'
import editSporadicTransportAppoint from '../components/sporadicMaterial/transportAppoint/editTransportAppoint.vue'
//零星物资运输派单
import sporadicTransportOrder from '../components/sporadicMaterial/transportOrder/transportOrder.vue'
import addSporadicTransportOrder from '../components/sporadicMaterial/transportOrder/addTransportOrder.vue'
import editSporadicTransportOrder from '../components/sporadicMaterial/transportOrder/editTransportOrder.vue'
//零星物资进厂
import sporadicENenfactory from '../components/sporadicMaterial/sporadicEnfactory/enFactory.vue'
import sporadicENgrossWeight from '../components/sporadicMaterial/sporadicEnfactory/grossWeight.vue'
import sporadicENoutFactory from '../components/sporadicMaterial/sporadicEnfactory/outFactory.vue'
import sporadicENtareWeight from '../components/sporadicMaterial/sporadicEnfactory/tareWeight.vue'
import sporadicENunload from '../components/sporadicMaterial/sporadicEnfactory/unload.vue'
//零星物资出厂
import sporadicOUTenfactory from '../components/sporadicMaterial/sporadicOutfactory/enFactory.vue'
import sporadicOUTgrossWeight from '../components/sporadicMaterial/sporadicOutfactory/grossWeight.vue'
import sporadicOUToutFactory from '../components/sporadicMaterial/sporadicOutfactory/outFactory.vue'
import sporadicOUTtareWeight from '../components/sporadicMaterial/sporadicOutfactory/tareWeight.vue'
import sporadicOUTload from '../components/sporadicMaterial/sporadicOutfactory/load.vue'


//钢材退货运输预约
import steelReturnTransportAppoint from '../components/steelReturn/transportAppoint/transportAppoint.vue'
import addSteelReturnTransportAppoint from '../components/steelReturn/transportAppoint/addSteelReturnTransportAppoint'
import editSteelReturnTransportAppoint from '../components/steelReturn/transportAppoint/editTransportAppoint.vue'
//钢材退货运输派单
import steelReturnTransportOrder from '../components/steelReturn/transportOrder/transportOrder.vue'
import addSteelReturnTransportOrder from '../components/steelReturn/transportOrder/addTransportOrder.vue'
import editSteelReturnTransportOrder from '../components/steelReturn/transportOrder/editTransportOrder.vue'
//钢材退货运输执行
import steelReturnEnfactory from '../components/steelReturn/transportExcute/enFactory.vue'
import steelReturnGrossWeight from '../components/steelReturn/transportExcute/grossWeight.vue'
import steelReturnOutFactory from '../components/steelReturn/transportExcute/outFactory.vue'
import steelReturnTareWeight from '../components/steelReturn/transportExcute/tareWeight.vue'
import steelReturnUnload from '../components/steelReturn/transportExcute/unload.vue'


Vue.use(Router)
const constantRouterMap = [
  {
    path: '/',
    name: 'main',
    meta: {title: '首页', code: 'xtpzgl'},
    component: main,
    redirect: {name: 'addSporadicTransportAppoint'},
    children: [
      //零星物资运输预约
      {path:'addSporadicTransportAppoint',name:'addSporadicTransportAppoint',meta:{code:'xtpzgl-jggl'},component:addSporadicTransportAppoint},
      {path:'sporadicTransportAppoint',name:'sporadicTransportAppoint',meta:{code:'xtpzgl-yhgl'},component:sporadicTransportAppoint},
      {path: 'editSporadicTransportAppoint', name: 'editSporadicTransportAppoint', meta: {code: 'xtpzgl-yhgl'}, component: editSporadicTransportAppoint},
      //零星物资运输订单
      {path:'addSporadicTransportOrder',name:'addSporadicTransportOrder',meta:{code:'xtpzgl-jggl'},component:addSporadicTransportOrder},
      {path:'sporadicTransportOrder',name:'sporadicTransportOrder',meta:{code:'xtpzgl-yhgl'},component:sporadicTransportOrder},
      {path: 'editSporadicTransportOrder', name: 'editSporadicTransportOrder', meta: {code: 'xtpzgl-yhgl'}, component: editSporadicTransportOrder},
      //零星物资进厂
      {path:'sporadicENenfactory',name:'sporadicENenfactory',meta:{code:'xtpzgl-yhgl'},component:sporadicENenfactory},
      {path:'sporadicENgrossWeight',name:'sporadicENgrossWeight',meta:{code:'xtpzgl-yhgl'},component:sporadicENgrossWeight},
      {path:'sporadicENoutFactory',name:'sporadicENoutFactory',meta:{code:'xtpzgl-yhgl'},component:sporadicENoutFactory},
      {path:'sporadicENtareWeight',name:'sporadicENtareWeight',meta:{code:'xtpzgl-yhgl'},component:sporadicENtareWeight},
      {path:'sporadicENunload',name:'sporadicENunload',meta:{code:'xtpzgl-yhgl'},component:sporadicENunload},
      //零星物资出厂
      {path:'sporadicOUTenfactory',name:'sporadicOUTenfactory',meta:{code:'xtpzgl-yhgl'},component:sporadicOUTenfactory},
      {path:'sporadicOUTgrossWeight',name:'sporadicOUTgrossWeight',meta:{code:'xtpzgl-yhgl'},component:sporadicOUTgrossWeight},
      {path:'sporadicOUToutFactory',name:'sporadicOUToutFactory',meta:{code:'xtpzgl-yhgl'},component:sporadicOUToutFactory},
      {path:'sporadicOUTtareWeight',name:'sporadicOUTtareWeight',meta:{code:'xtpzgl-yhgl'},component:sporadicOUTtareWeight},
      {path:'sporadicOUTload',name:'sporadicOUTload',meta:{code:'xtpzgl-yhgl'},component:sporadicOUTload},

      //钢材退货运输预约
      {path:'addSteelReturnTransportAppoint',name:'addSteelReturnTransportAppoint',meta:{code:'xtpzgl-yhgl'},component:addSteelReturnTransportAppoint},
      {path:'steelReturnTransportAppoint',name:'steelReturnTransportAppoint',meta:{code:'xtpzgl-yhgl'},component:steelReturnTransportAppoint},
      {path: 'editSteelReturnTransportAppoint', name: 'editSteelReturnTransportAppoint', meta: {code: 'xtpzgl-yhgl'}, component: editSteelReturnTransportAppoint},
      //钢材退货运输订单
      {path:'addSteelReturnTransportOrder',name:'addSteelReturnTransportOrder',meta:{code:'xtpzgl-jggl'},component:addSteelReturnTransportOrder},
      {path:'steelReturnTransportOrder',name:'steelReturnTransportOrder',meta:{code:'xtpzgl-yhgl'},component:steelReturnTransportOrder},
      {path: 'editSteelReturnTransportOrder', name: 'editSteelReturnTransportOrder', meta: {code: 'xtpzgl-yhgl'}, component: editSteelReturnTransportOrder},
      //钢材退货进厂
      {path:'steelReturnEnfactory',name:'steelReturnEnfactory',meta:{code:'xtpzgl-yhgl'},component:steelReturnEnfactory},
      {path:'steelReturnGrossWeight',name:'steelReturnGrossWeight',meta:{code:'xtpzgl-yhgl'},component:steelReturnGrossWeight},
      {path:'steelReturnOutFactory',name:'steelReturnOutFactory',meta:{code:'xtpzgl-yhgl'},component:steelReturnOutFactory},
      {path:'steelReturnTareWeight',name:'steelReturnTareWeight',meta:{code:'xtpzgl-yhgl'},component:steelReturnTareWeight},
      {path:'steelReturnUnload',name:'steelReturnUnload',meta:{code:'xtpzgl-yhgl'},component:steelReturnUnload}
    ]    
  }
];

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
