import Vue from 'vue'
import Router from 'vue-router'

import routerBefore from '@/config/routerBefore.js'

// 主要
import main from '@/components/main.vue'
// 系统配置管理
//运输预约--提出需求
import requirement from '@/views/inward/components/truckAppoint/requirement.vue'
//运输预约--制定计划
import truckAppointPlan from '@/views/inward/components/truckAppoint/plan.vue'
//运输预约--制定内转钢材到异地库计划
import RailPlan from '@/views/inward/components/truckAppoint/RailPlan.vue'
//运输订单--分解计划
import truckOrderPlan from '@/views/inward/components/truckOrder/plan.vue'
//运输订单--分解内转异地库计划
import truckOrderRailPlan from '@/views/inward/components/truckOrder/RailPlan.vue'
//运输订单--分派计划
import dispatchPlan from '@/views/inward/components/truckOrder/dispatchPlan.vue'
//内转钢材到异地库--汽车运输--进厂作业
import enFactoryResult from '@/views/inward/components/offsetSteel/truckTransport/enFactoryResult.vue'
//内转钢材到异地库--汽车运输--计皮作业
import tareWeightResult from '@/views/inward/components/offsetSteel/truckTransport/tareWeightResult.vue'
//内转钢材到异地库--汽车运输--装车作业
import loadTruckResult from '@/views/inward/components/offsetSteel/truckTransport/loadTruckResult.vue'
//内转钢材到异地库--汽车运输--质检作业
import qualityResult from '@/views/inward/components/offsetSteel/truckTransport/qualityResult.vue'
//内转钢材到异地库--汽车运输--计毛作业
import grossWeightResult from '@/views/inward/components/offsetSteel/truckTransport/grossWeightResult.vue'
//内转钢材到异地库--汽车运输--出厂作业
import outFactory from '@/views/inward/components/offsetSteel/truckTransport/outFactory.vue'
//内转钢材到异地库--汽车运输--收货作业
import truckReceiptResult from '@/views/inward/components/offsetSteel/truckTransport/truckReceiptResult.vue'
//内转钢材到异地库--火车运输--请车作业
import wagonPlease from '@/views/inward/components/offsetSteel/truckTrain/wagonPlease.vue'
//内转钢材到异地库--火车运输--批车作业
import wagonApprove from '@/views/inward/components/offsetSteel/truckTrain/wagonApprove.vue'
//内转钢材到异地库--火车运输--装车作业
import wagonLoad from '@/views/inward/components/offsetSteel/truckTrain/wagonLoad.vue'
//内转钢材到异地库--火车运输--卸车作业
import wagonUnLoad from '@/views/inward/components/offsetSteel/truckTrain/wagonUnLoad.vue'
//内转进口矿/国产矿/燃料--达州站-厂内料场--火车卸车
import trainUnload from '@/views/inward/components/inwardImport/daZhou/trainUnload.vue'
//内转进口矿/国产矿/燃料--达州站-厂内料场--汽车装车
import truckLoad from '@/views/inward/components/inwardImport/daZhou/truckLoad.vue'
//内转进口矿/国产矿/燃料--达州站-厂内料场--进厂作业
import daZhouEnFactoryResult from '@/views/inward/components/inwardImport/daZhou/enFactoryResult.vue'
//内转进口矿/国产矿/燃料--达州站-厂内料场--计毛作业
import daZhouGrossWeightResult from '@/views/inward/components/inwardImport/daZhou/grossWeightResult.vue'
//内转进口矿/国产矿/燃料--达州站-厂内料场--卸货作业
import unload from '@/views/inward/components/inwardImport/daZhou/unload.vue'
//内转进口矿/国产矿/燃料--达州站-厂内料场--质检作业
import daZhouQualityResult from '@/views/inward/components/inwardImport/daZhou/qualityResult.vue'
//内转进口矿/国产矿/燃料--达州站-厂内料场--计皮作业
import daZhouTareWeightResult from '@/views/inward/components/inwardImport/daZhou/tareWeightResult.vue'
//内转进口矿/国产矿/燃料--达州站-厂内料场--收货作业
import receipt from '@/views/inward/components/inwardImport/daZhou/receipt.vue'
//内转进口矿/国产矿/燃料--达州站-厂内料场--出厂作业
import daZhouOutFactory from '@/views/inward/components/inwardImport/daZhou/outFactory.vue'
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--铁路专用线卸货
import trainLineUnload from '@/views/inward/components/inwardImport/oldAreaRailScale/trainLineUnload.vue'
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--质检作业
import oldAreaRailScaleQualityResult from '@/views/inward/components/inwardImport/oldAreaRailScale/qualityResult.vue'
//内转进口矿-轨道衡厂内料场-质检作业
import oldAreaEnfactoryResult from '@/views/inward/components/inwardImport/oldAreaRailScale/enFactory.vue'
//内转老区轨道衡进厂
import oldAreaOutfactoryResult from '@/views/inward/components/inwardImport/oldAreaRailScale/outFactory.vue'
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--汽车装货
import oldAreaRailScaleTruckLoad from '@/views/inward/components/inwardImport/oldAreaRailScale/truckLoad.vue'
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--计毛作业
import oldAreaRailScaleGrossWeightResult from '@/views/inward/components/inwardImport/oldAreaRailScale/grossWeightResult.vue'
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--卸货作业
import oldAreaRailScaleUnload from '@/views/inward/components/inwardImport/oldAreaRailScale/unload.vue'
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--计皮作业
import oldAreaRailScaleTareWeightResult from '@/views/inward/components/inwardImport/oldAreaRailScale/tareWeightResult.vue'
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--收货作业
import oldAreaRailScaleReceipt from '@/views/inward/components/inwardImport/oldAreaRailScale/receipt.vue'
//内转进口矿/国产矿/燃料--内转厂内物资--进厂作业
import inwardFactoryEnFactoryResult from '@/views/inward/components/inwardFactory/enFactoryResult.vue'
//内转进口矿/国产矿/燃料--内转厂内物资--装车作业
import inwardFactoryTruckLoad from '@/views/inward/components/inwardFactory/truckLoad.vue'
//内转进口矿/国产矿/燃料--内转厂内物资--计量作业
import inwardFactoryTareWeightResult from '@/views/inward/components/inwardFactory/tareWeightResult.vue'
//内转进口矿/国产矿/燃料--内转厂内物资--卸车作业
import inwardFactoryUnload from '@/views/inward/components/inwardFactory/unload.vue'
//内转进口矿/国产矿/燃料--内转厂内物资--出厂作业
import inwardFactoryOutFactory from '@/views/inward/components/inwardFactory/outFactory.vue'
//内转进口矿/国产矿/燃料--内转厂内物资--计时作业
import timeTaskResult from '@/views/inward/components/inwardFactory/timeTaskResult.vue'
//内转进口矿/国产矿/燃料--内转厂内物资--计数作业
import countResult from '@/views/inward/components/inwardFactory/countResult.vue'
//内转进口矿/国产矿/燃料--内转厂内物资--包月作业
import monthResult from '@/views/inward/components/inwardFactory/monthResult.vue'



//**************************************跳转界面**************************************/

//新增采购内转需求
import addRequirement from '@/views/inward/components/truckAppoint/addRequirement.vue'
//新增厂内内转需求
import addRequirement2 from '@/views/inward/components/truckAppoint/addRequirement2.vue'
//修改需求
import updateRequirement from '@/views/inward/components/truckAppoint/updateRequirement.vue'
//新增计划
import addPlan from '@/views/inward/components/truckAppoint/addPlan.vue'
//修改计划
import updatePlan from '@/views/inward/components/truckAppoint/updatePlan.vue'
//新增内转钢材到异地库计划
import addRailPlan from '@/views/inward/components/truckAppoint/addRailPlan.vue'
//计划分解
import decomposePlan from '@/views/inward/components/truckOrder/decomposePlan.vue'
//内转异地库计划分解
import decomposeRailPlan from '@/views/inward/components/truckOrder/decomposeRailPlan.vue'
//请车作业新增
import addWagonPlease from '@/views/inward/components/offsetSteel/truckTrain/addWagonPlease.vue'
//请车作业修改
import editWagonPlease from '@/views/inward/components/offsetSteel/truckTrain/editWagonPlease.vue'
//批车作业新增
import addApproveWagonPlease from '@/views/inward/components/offsetSteel/truckTrain/addApproveWagonPlease.vue'
//新增批车作业
import editApproveWagonPlease from '@/views/inward/components/offsetSteel/truckTrain/editApproveWagonPlease.vue'
//装车作业新增
import addWagonLoad from '@/views/inward/components/offsetSteel/truckTrain/addWagonLoad.vue'
//装车作业修改
import editWagonLoad from '@/views/inward/components/offsetSteel/truckTrain/editWagonLoad.vue'
//车皮卸车作业新增
import addWagonUnLoad from '@/views/inward/components/offsetSteel/truckTrain/addWagonUnLoad.vue'
//车皮卸车作业修改
import editWagonUnLoad from '@/views/inward/components/offsetSteel/truckTrain/editWagonUnLoad.vue'
//新增汽车装货
import addTruckLoad from '@/views/inward/components/inwardImport/daZhou/addTruckLoad.vue'
//修改汽车装货
import updateTruckLoad from '@/views/inward/components/inwardImport/daZhou/updateTruckLoad.vue'
//新增汽车装车
import oldAreaRailScaleAddTruckLoad from '@/views/inward/components/inwardImport/oldAreaRailScale/addTruckLoad.vue'
//内转厂内物资--新增汽车装货
import inwardFactoryAddTruckLoad from '@/views/inward/components/inwardFactory/addTruckLoad.vue'




Vue.use(Router)

const constantRouterMap = [{
  path: '/',
  name: 'main',
  meta: {
    title: '首页',
    code: 'xtpzgl'
  },
  component: main,
  redirect: {
    name: 'requirement'
  },
  children: [
    {path: 'requirement',name: 'requirement',meta: {code: 'xtpzgl-yhgl'},component: requirement}, 
    {path: 'truckAppointPlan',name: 'truckAppointPlan',meta: {code: 'xtpzgl-yhgl'},component: truckAppointPlan}, 
    {path: 'RailPlan',name: 'RailPlan',meta: {code: 'xtpzgl-yhgl'},component: RailPlan}, 
    {path: 'truckOrderPlan',name: 'truckOrderPlan',meta: {code: 'xtpzgl-yhgl'},component: truckOrderPlan}, 
    {path: 'truckOrderRailPlan',name: 'truckOrderRailPlan',meta: {code: 'xtpzgl-yhgl'},component: truckOrderRailPlan}, 
    {path: 'dispatchPlan',name: 'dispatchPlan',meta: {code: 'xtpzgl-yhgl'},component: dispatchPlan}, 
    {path: 'enFactoryResult',name: 'enFactoryResult',meta: {code: 'xtpzgl-yhgl'},component: enFactoryResult}, 
    {path: 'tareWeightResult',name: 'tareWeightResult',meta: {code: 'xtpzgl-yhgl'},component: tareWeightResult}, 
    {path: 'loadTruckResult',name: 'loadTruckResult',meta: {code: 'xtpzgl-yhgl'},component: loadTruckResult}, 
    {path: 'qualityResult',name: 'qualityResult',meta: {code: 'xtpzgl-yhgl'},component: qualityResult}, 
    {path: 'grossWeightResult',name: 'grossWeightResult',meta: {code: 'xtpzgl-yhgl'},component: grossWeightResult}, 
    {path: 'outFactory',name: 'outFactory',meta: {code: 'xtpzgl-yhgl'},component: outFactory}, 
    {path: 'truckReceiptResult',name: 'truckReceiptResult',meta: {code: 'xtpzgl-yhgl'},component: truckReceiptResult}, 
    {path: 'wagonPlease',name: 'wagonPlease',meta: {code: 'xtpzgl-yhgl'},component: wagonPlease}, 
    {path: 'wagonApprove',name: 'wagonApprove',meta: {code: 'xtpzgl-yhgl'},component: wagonApprove}, 
    {path: 'wagonLoad',name: 'wagonLoad',meta: {code: 'xtpzgl-yhgl'},component: wagonLoad}, 
    {path: 'wagonUnLoad',name: 'wagonUnLoad',meta: {code: 'xtpzgl-yhgl'},component: wagonUnLoad}, 
    {path: 'trainUnload',name: 'trainUnload',meta: {code: 'xtpzgl-yhgl'},component: trainUnload}, 
    {path: 'truckLoad',name: 'truckLoad',meta: {code: 'xtpzgl-yhgl'},component: truckLoad}, 
    {path: 'daZhouEnFactoryResult',name: 'daZhouEnFactoryResult',meta: {code: 'xtpzgl-yhgl'},component: daZhouEnFactoryResult}, 
    {path: 'daZhouGrossWeightResult',name: 'daZhouGrossWeightResult',meta: {code: 'xtpzgl-yhgl'},component: daZhouGrossWeightResult}, 
    {path: 'unload',name: 'unload',meta: {code: 'xtpzgl-yhgl'},component: unload}, 
    {path: 'daZhouQualityResult',name: 'daZhouQualityResult',meta: {code: 'xtpzgl-yhgl'},component: daZhouQualityResult}, 
    {path: 'daZhouTareWeightResult',name: 'daZhouTareWeightResult',meta: {code: 'xtpzgl-yhgl'},component: daZhouTareWeightResult}, 
    {path: 'receipt',name: 'receipt',meta: {code: 'xtpzgl-yhgl'},component: receipt}, 
    {path: 'daZhouOutFactory',name: 'daZhouOutFactory',meta: {code: 'xtpzgl-yhgl'},component: daZhouOutFactory}, 
    {path: 'trainLineUnload',name: 'trainLineUnload',meta: {code: 'xtpzgl-yhgl'},component: trainLineUnload}, 
    {path: 'oldAreaRailScaleQualityResult',name: 'oldAreaRailScaleQualityResult',meta: {code: 'xtpzgl-yhgl'},component: oldAreaRailScaleQualityResult}, 
    {path: 'oldAreaOutfactoryResult',name: 'oldAreaOutfactoryResult',meta: {code: 'xtpzgl-yhgl'},component: oldAreaOutfactoryResult},
    {path: 'oldAreaEnfactoryResult',name: 'oldAreaEnfactoryResult',meta: {code: 'xtpzgl-yhgl'},component: oldAreaEnfactoryResult},
    {path: 'oldAreaRailScaleTruckLoad',name: 'oldAreaRailScaleTruckLoad',meta: {code: 'xtpzgl-yhgl'},component: oldAreaRailScaleTruckLoad}, 
    {path: 'oldAreaRailScaleGrossWeightResult',name: 'oldAreaRailScaleGrossWeightResult',meta: {code: 'xtpzgl-yhgl'},component: oldAreaRailScaleGrossWeightResult}, 
    {path: 'oldAreaRailScaleUnload',name: 'oldAreaRailScaleUnload',meta: {code: 'xtpzgl-yhgl'},component: oldAreaRailScaleUnload}, 
    {path: 'oldAreaRailScaleTareWeightResult',name: 'oldAreaRailScaleTareWeightResult',meta: {code: 'xtpzgl-yhgl'},component: oldAreaRailScaleTareWeightResult}, 
    {path: 'oldAreaRailScaleReceipt',name: 'oldAreaRailScaleReceipt',meta: {code: 'xtpzgl-yhgl'},component: oldAreaRailScaleReceipt}, 
    {path: 'inwardFactoryEnFactoryResult',name: 'inwardFactoryEnFactoryResult',meta: {code: 'xtpzgl-yhgl'},component: inwardFactoryEnFactoryResult}, 
    {path: 'inwardFactoryTruckLoad',name: 'inwardFactoryTruckLoad',meta: {code: 'xtpzgl-yhgl'},component: inwardFactoryTruckLoad}, 
    {path: 'inwardFactoryTareWeightResult',name: 'inwardFactoryTareWeightResult',meta: {code: 'xtpzgl-yhgl'},component: inwardFactoryTareWeightResult}, 
    {path: 'inwardFactoryUnload',name: 'inwardFactoryUnload',meta: {code: 'xtpzgl-yhgl'},component: inwardFactoryUnload}, 
    {path: 'inwardFactoryOutFactory',name: 'inwardFactoryOutFactory',meta: {code: 'xtpzgl-yhgl'},component: inwardFactoryOutFactory}, 
    {path: 'timeTaskResult',name: 'timeTaskResult',meta: {code: 'xtpzgl-yhgl'},component: timeTaskResult}, 
    {path: 'countResult',name: 'countResult',meta: {code: 'xtpzgl-yhgl'},component: countResult}, 
    {path: 'monthResult',name: 'monthResult',meta: {code: 'xtpzgl-yhgl'},component: monthResult}, 
    /*****************************************跳转页面*****************************************/
    {path: 'addRequirement',name: 'addRequirement',meta: {code: 'xtpzgl-yhgl'},component: addRequirement}, 
    {path: 'addRequirement2',name: 'addRequirement2',meta: {code: 'xtpzgl-yhgl'},component: addRequirement2}, 
    {path: 'updateRequirement/:requirementId',name: 'updateRequirement',meta: {code: 'xtpzgl-yhgl'},component: updateRequirement}, 
    {path: 'addPlan',name: 'addPlan',meta: {code: 'xtpzgl-yhgl'},component: addPlan}, 
    {path: 'updatePlan/:planId',name: 'updatePlan',meta: {code: 'xtpzgl-yhgl'},component: updatePlan}, 
    {path: 'addRailPlan',name: 'addRailPlan',meta: {code: 'xtpzgl-yhgl'},component: addRailPlan}, 
    {path: 'decomposePlan/:planId',name: 'decomposePlan',meta: {code: 'xtpzgl-yhgl'},component: decomposePlan}, 
    {path: 'decomposeRailPlan/:dayPlanId',name: 'decomposeRailPlan',meta: {code: 'xtpzgl-yhgl'},component: decomposeRailPlan}, 
    {path: 'addWagonPlease',name: 'addWagonPlease',meta: {code: 'xtpzgl-yhgl'},component: addWagonPlease}, 
    {path: 'editWagonPlease/:resultId',name: 'editWagonPlease',meta: {code: 'xtpzgl-yhgl'},component: editWagonPlease}, 
    {path: 'addApproveWagonPlease',name: 'requaddApproveWagonPleaseirement',meta: {code: 'xtpzgl-yhgl'},component: addApproveWagonPlease}, 
    {path: 'editApproveWagonPlease/:resultId',name: 'editApproveWagonPlease',meta: {code: 'xtpzgl-yhgl'},component: editApproveWagonPlease}, 
    {path: 'addWagonLoad',name: 'addWagonLoad',meta: {code: 'xtpzgl-yhgl'},component: addWagonLoad}, 
    {path: 'editWagonLoad/:resultId',name: 'editWagonLoad',meta: {code: 'xtpzgl-yhgl'},component: editWagonLoad}, 
    {path: 'addWagonUnLoad',name: 'addWagonUnLoad',meta: {code: 'xtpzgl-yhgl'},component: addWagonUnLoad}, 
    {path: 'editWagonUnLoad/:unloadingId',name: 'editWagonUnLoad',meta: {code: 'xtpzgl-yhgl'},component: editWagonUnLoad}, 
    {path: 'addTruckLoad',name: 'addTruckLoad',meta: {code: 'xtpzgl-yhgl'},component: addTruckLoad}, 
    {path: 'updateTruckLoad/:resultId',name: 'updateTruckLoad',meta: {code: 'xtpzgl-yhgl'},component: updateTruckLoad}, 
    {path: 'oldAreaRailScaleAddTruckLoad',name: 'oldAreaRailScaleAddTruckLoad',meta: {code: 'xtpzgl-yhgl'},component: oldAreaRailScaleAddTruckLoad}, 
    {path: 'inwardFactoryAddTruckLoad',name: 'inwardFactoryAddTruckLoad',meta: {code: 'xtpzgl-yhgl'},component: inwardFactoryAddTruckLoad},
  ]
}];

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
