// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue';
import App from '@/components/App.vue';
// include
import '@/config/include.js';

// 通用store
import store from '@/store/index.js';

// router
import router from './router/index.js';

// XML转json
import X2JS from 'x2js' // xml数据处理插件
Vue.prototype.$x2js = new X2JS() // 创建x2js对象，挂到vue原型上

// 关闭生产模式下给出的提示
Vue.config.productionTip = false;

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
});
